Supplier Part Price

The supplier part price resource.

Basehttps://rest.carbon.ms/supplierPartPrice
GET/supplierPartPrice

List supplier part prices

Retrieve a paginated list of supplier part prices. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/supplierPartPrice
curl --request GET \
  --url 'https://rest.carbon.ms/supplierPartPrice?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "supplierPartId": "xyz789",
    "quantity": 10,
    "unitPrice": 0,
    "sourceType": "string",
    "companyId": "xyz789",
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "leadTime": 0
  }
]
GET/supplierPartPrice

Retrieve a supplier part price

Fetch a single supplier part price by filtering on `supplierPartId`.

Query parameters

supplierPartIdstring

Match on the supplier part price's `supplierPartId`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/supplierPartPrice
curl --request GET \
  --url 'https://rest.carbon.ms/supplierPartPrice?supplierPartId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "supplierPartId": "xyz789",
  "quantity": 10,
  "unitPrice": 0,
  "sourceType": "string",
  "companyId": "xyz789",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "leadTime": 0
}
POST/supplierPartPrice

Create a supplier part price

Create a new supplier part price.

Body parameters

unitPricenumberrequired
sourceTypesupplierPartPriceSourceTyperequired
sourceDocumentIdstring
companyIdstringrequired

References company.id

leadTimenumberrequired
POSThttps://rest.carbon.ms/supplierPartPrice
curl --request POST \
  --url https://rest.carbon.ms/supplierPartPrice \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"unitPrice":0,"sourceType":"string","companyId":"xyz789","leadTime":0}'
Response
{
  "supplierPartId": "xyz789",
  "quantity": 10,
  "unitPrice": 0,
  "sourceType": "string",
  "companyId": "xyz789",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "leadTime": 0
}
PATCH/supplierPartPrice

Update a supplier part price

Update an existing supplier part price, matched on `supplierPartId`.

Body parameters

unitPricenumberrequired
sourceTypesupplierPartPriceSourceTyperequired
sourceDocumentIdstring
companyIdstringrequired

References company.id

leadTimenumberrequired
PATCHhttps://rest.carbon.ms/supplierPartPrice
curl --request PATCH \
  --url 'https://rest.carbon.ms/supplierPartPrice?supplierPartId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"unitPrice":0}'
Response
{
  "supplierPartId": "xyz789",
  "quantity": 10,
  "unitPrice": 0,
  "sourceType": "string",
  "companyId": "xyz789",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "leadTime": 0
}
DELETE/supplierPartPrice

Delete a supplier part price

Delete a supplier part price, matched on `supplierPartId`. Returns 204 No Content.

Query parameters

supplierPartIdstring

The `supplierPartId` of the supplier part price to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/supplierPartPrice
curl --request DELETE \
  --url 'https://rest.carbon.ms/supplierPartPrice?supplierPartId=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content